Summary:	An Atari 2600 Video Computer System emulator
Summary(pl.UTF-8):	Emulator Atari 2600 Video Computer System
Name:		stella
Version:	3.3
Release:	3
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/stella/%{name}-%{version}-src.tar.gz
# Source0-md5:	56a55d4467f5948457e3cf32703889b0
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-useless_files.patch
URL:		http://stella.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was
the most popular home video game system of the early 1980's. This
emulator will run most Atari ROM images, so that you can play your
favorite old Atari 2600 games on your PC.

%description -l pl.UTF-8
Atari 2600 Video Computer System (VCS), który miał premierę w 1977
roku, był najpopularniejszym systemem domowych gier wideo wczesnych
lat '80. Ten emulator potrafi uruchomić większość obrazów Atari ROM,
więc można grać w swoje ulubione stare gry z Atari 2600 na PC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--prefix=%{_prefix}
%{__make} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_sysconfdir}}

install src/emucore/stella.pro $RPM_BUILD_ROOT%{_sysconfdir}
install src/common/stella.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Announce.txt Changes.txt Readme.txt Todo.txt docs
%attr(755,root,root) %{_bindir}/stella
%config %{_sysconfdir}/stella.pro
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/stella.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 22f805f
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f855d04
- release 2

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> 20aa3db
- "video" can be written as "wideo" in Polish

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> 5229a3a
- up to 3.3

* Mon Sep 20 2010 lisu <lisu@pld-linux.org> 6fcd2d3
- 3.2.2

* Wed Aug 25 2010 lisu <lisu@pld-linux.org> a7ec255
- 3.2.1

* Fri Aug 20 2010 lisu <lisu@pld-linux.org> 1bcca53
- up to 3.2

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 96afc99
- rel 2
- fixed desktop categories

* Tue May 04 2010 lisu <lisu@pld-linux.org> 925657a
- updated to 3.1.2

* Sun May 02 2010 pawelz <pawelz@pld-linux.org> f1cf321
- 1980-tych is not correct in polish

* Tue Apr 27 2010 lisu <lisu@pld-linux.org> 344cc49
- 3.1.1

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 300c76b
- up to 3.1
- adapter

* Tue Sep 22 2009 lisu <lisu@pld-linux.org> 600cde8
- up to 3.0

* Tue Jul 07 2009 lisu <lisu@pld-linux.org> ba417c2
- 2.8.4

* Mon Jun 29 2009 lisu <lisu@pld-linux.org> 2c2c360
- 2.8.3

* Tue Jun 23 2009 lisu <lisu@pld-linux.org> 23933d5
- 2.8.2

* Thu Jun 18 2009 lisu <lisu@pld-linux.org> b5a2a74
- 2.8

* Wed Jun 03 2009 lisu <lisu@pld-linux.org> fb26328
- 2.7.7

* Thu Apr 16 2009 lisu <lisu@pld-linux.org> 1aa1cf3
- 2.7.6

* Mon Mar 30 2009 lisu <lisu@pld-linux.org> 3bf0192
- up to 2.7.5

